Subject: Re: [PATCH v27 2/2] status: add status.compareBranches config for multiple branch comparisons

From: Junio C Hamano <[email-masked]>
Date: Thu, 22 Jan 2026 15:14:58 -0800

Jeff King <[email-masked]> writes:

> I don't know what all of it means. The "%s" thing was short to
> implement, but the real source of the extra complications is using
> repo_dwim_ref() to do the resolution. But I think the overall direction
> is more consistent with how the rest of Git behaves.

Yeah, I tend to agree.  As long as we do not hardcode the
prefixing of "refs/remotes/", we won't paint ourselves into a corner
we cannot get out of, I guess.

Thanks.